Re: Cyrus SASL 2.1.13 Released


Subject: Re: Cyrus SASL 2.1.13 Released
From: Derek Ragona (derek at computinginnovations dot com)
Date: Thu Apr 17 2003 - 06:23:54 EDT


Jim,

I made the change in saslauthd/aclocal.m4 , but still the compile fails:

===============================================
# make
make all-recursive
Making all in include
Making all in sasldb
Making all in plugins
Making all in lib
Making all in utils
Making all in doc
Making all in man
Making all in sample
Making all in saslauthd
gcc -g -O2 -o saslauthd mechanisms.o auth_dce.o auth_getpwent.o
auth_krb5.o auth_krb4.o auth_pam.o auth_rimap.o auth_shadow.o
auth_sia.o auth_sasldb.o lak.o auth_ldap.o cache.o utils.o ipc_unix.o
ipc_doors.o saslauthd-main.o md5.o -lkrb -lcrypto
-lcom_err -lgssapi_krb5 -lkrb5 -lk5crypto
-lcom_err -lcrypt -lpam
/usr/libexec/elf/ld: cannot find -lgssapi_krb5
*** Error code 1

Stop in /usr/src/cyrus-sasl-2.1.13/saslauthd.
*** Error code 1

Stop in /usr/src/cyrus-sasl-2.1.13.
*** Error code 1

Stop in /usr/src/cyrus-sasl-2.1.13.
================================================

         -Derek

At 09:44 AM 4/16/03 -0400, Jim Trigg wrote:
>On Wed, Apr 16, 2003 at 05:38:10AM -0500, Derek Ragona wrote:
> > I cannot compile this on FreeBSD 4.7. The error I get is:
> >
> > Making all in saslauthd
> > gcc -g -O2 -o saslauthd mechanisms.o auth_dce.o auth_getpwent.o
> > auth_krb5.o auth_krb4.o auth_pam.o auth_rimap.o auth_shadow.o
> > auth_sia.o auth_sasldb.o lak.o auth_ldap.o cache.o utils.o ipc_unix.o
> > ipc_doors.o saslauthd-main.o md5.o -lkrb -lcrypto
> > -lcom_err -lgssapi_krb5 -lkrb5 -lk5crypto
> > -lcom_err -lcrypt -lpam
> > /usr/libexec/elf/ld: cannot find -lgssapi_krb5
> > *** Error code 1
> >
> > Stop in /usr/src/cyrus-sasl-2.1.13/saslauthd.
> > *** Error code 1
> >
> > Stop in /usr/src/cyrus-sasl-2.1.13.
> > *** Error code 1
> >
> > Stop in /usr/src/cyrus-sasl-2.1.13.
>
>This is probably the problem I identified in 2.1.10 -- configure does
>the check for LIBCRYPT after the check for GSSAPI, and therefore
>misidentifies FreeBSD's GSSAPI as MIT when it is Heimdal. The fix is to
>patch aclocal.m4 and saslauthd/aclocal.m4 to add the line
>"AC_REQUIRE([SASL_CRYPT_CHK])" after the line
>"AC_DEFUN(SASL_GSSAPI_CHK,[".
>
>Jim
>--
>Jim Trigg, Lord High Everything Else O- /"\
> \ / ASCII RIBBON CAMPAIGN
>Hostmaster, Huie Kin family website X HELP CURE HTML MAIL
>Verger, All Saints Church - Sharon Chapel / \







Hosted Email Solutions

Invaluement Anti-Spam DNSBLs



Powered By FreeBSD   Powered By FreeBSD